<?php

namespace Loader;

use Machine\Memory\ToolMemory;
use Tool\Parser\ToolParser;

class ToolLoader
{
	private ToolParser $parser;


	public function __construct()
	{
		$this->parser = new ToolParser();
	}


	public function load(ToolMemory $toolMemory, string $yamlFile): void
	{
		$tools = $this->parser->parseFile($yamlFile);
		foreach ($tools as $toolData) {
			$toolMemory->write($toolData);
		}
	}
}
