<?php

use Loader\ProgramLoader;
use Loader\ToolLoader;
use Machine\CNC6600;

require_once __DIR__ . '/../vendor/autoload.php';

$CNC6600 = new CNC6600();

$programLoader = new ProgramLoader();
$programLoader->load($CNC6600->PPM, __DIR__ . '/../config/part_programs/*');
$programLoader->load($CNC6600->SPM, __DIR__ . '/../config/sub_programs/*');

$toolLoader = new ToolLoader();
$toolLoader->load($CNC6600->TM, __DIR__ . '/../config/tools.yaml');

return $CNC6600;
